ALTER TABLE rides.ride
    DROP CONSTRAINT IF EXISTS ride_overlapping_times,
    ADD CONSTRAINT ride_overlapping_times EXCLUDE USING GIST (
            source_id WITH =,
            TSTZRANGE(start_time, end_time, '[]') WITH &&)
        WHERE (is_deleted IS FALSE);
